package com.engine.salary.cmd.sischeme;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import com.engine.salary.biz.SISchemeBiz;
import weaver.general.Util;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * 
 * @Date 2022/3/8
 * @Version V1.0
 **/
@Deprecated
public class SISchemeCopyCmd extends AbstractCommonCommand<Map<String, Object>> {

    public SISchemeCopyCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }
    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        Map<String, Object> apidatas = new HashMap<String, Object>(16);
        SISchemeBiz siSchemeBiz = new SISchemeBiz();
        Long id = (Long) params.get("id");
        String schemeName = Util.null2String(params.get("schemeName"));
        siSchemeBiz.copy(id,schemeName,(long) user.getUID());
        return apidatas;
    }
}
